aboutsummaryrefslogtreecommitdiff
path: root/files
diff options
context:
space:
mode:
authorAndré Erdmann <dywi@mailerd.de>2013-09-23 16:22:20 +0200
committerAndré Erdmann <dywi@mailerd.de>2013-09-23 16:22:20 +0200
commit67c6a9d4fb817284a61b0155d5964beb85001987 (patch)
tree92bd9760a12b7d9da8f2a4e9a41714725e85297f /files
parentgitignore: add .keep (diff)
downloadR_overlay-67c6a9d4fb817284a61b0155d5964beb85001987.tar.gz
R_overlay-67c6a9d4fb817284a61b0155d5964beb85001987.tar.bz2
R_overlay-67c6a9d4fb817284a61b0155d5964beb85001987.zip
files/hooks: notify-desktop
Uses notify-send to signalize that roverlay is done.
Diffstat (limited to 'files')
-rw-r--r--files/hooks/notify-desktop.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/files/hooks/notify-desktop.sh b/files/hooks/notify-desktop.sh
new file mode 100644
index 0000000..9184c2f
--- /dev/null
+++ b/files/hooks/notify-desktop.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+# -*- coding: utf-8 -*-
+#
+# Sends a desktop notification.
+#
+set -u
+
+## load core functions
+. "${FUNCTIONS?}" || exit
+#dont_run_as_root
+
+## load helper functions
+#$lf ...
+
+# hook body starts here
+
+# roverlay's hook environment doesn't pass $DISPLAY, set it here
+: ${DISPLAY:=:0.0}
+export DISPLAY
+run_command_logged notify-send -t 10000 roverlay "done" || true